---
import "@assets/scss/main.scss";

import { ViewTransitions } from "astro:transitions";

import HeaderContainer from "@components/layout/HeaderContainer.astro";
import FooterContainer from "@components/layout/FooterContainer.astro";

const { pageMeta } = Astro.props;
---

<!doctype html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width" />
    {pageMeta.meta && pageMeta.meta.map((metaObj) => <meta {...metaObj} />)}
    <link rel="icon" href="/favicon.svg" type="image/svg+xml" sizes="any" />
    <link rel="icon" type="image/x-icon" href="/favicon.ico" />
    <title>{pageMeta.title}</title>
    <ViewTransitions />
  </head>
  <body>
    <HeaderContainer />

    <!-- Ports -->
    <div class="ports">
      <div class="container">
        <slot />
      </div>
    </div>

    <FooterContainer />
    <script>
      import("@logic/client/main.js").then((f) => f.default());
    </script>
  </body>
</html>
